#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sources_subdir	%{name}-%{version}
#-----------------------------------------------------------------------------
Name		:	epiphany
Version		:	44.5
Release		:	16.2.0.rel%{?dist}
Summary		:	Web browser for GNOME

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://wiki.gnome.org/Apps/Web
			#https://download.gnome.org/sources/epiphany

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	gcr
BuildRequires	:	json-glib
BuildRequires	:	libadwaita-devel
BuildRequires	:	nettle
BuildRequires	:	gettext
BuildRequires	:	gsettings-desktop-schemas
BuildRequires	:	itstool
BuildRequires	:	iso-codes
BuildRequires	:	libadwaita-devel	>= 1.3.2
BuildRequires	:	libhandy-devel
BuildRequires	:	libnotify
BuildRequires	:	libdazzle-devel
BuildRequires	:	libportal-devel
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	webkitgtk-devel


Requires(post)	:	desktop-file-utils

#-----------------------------------------------------------------------------
%description
Epiphany is the web browser for the GNOME desktop. Its goal is to be
simple and easy to use. Epiphany ties together many GNOME components
in order to let you focus on the Web content, instead of the browser
application.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_libdir}/%{name}/web-process-extensions/lib*.so
%{_libexecdir}/%{name}/ephy-profile-migrator
%{_libexecdir}/%{name}-search-provider
%{_libexecdir}/%{name}-webapp-provider
%{_datadir}/%{name}/default-bookmarks.rdf
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Epiphany.WebAppProvider.service
%{_datadir}/applications/org.gnome.Epiphany.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.Epiphany*
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_mandir}/man1/%{name}.1.gz
 
%postun
update-desktop-database > /dev/null 2>&1

%post
update-desktop-database > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	..

ninja			

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

%find_lang	%{name} --with-gnome
#-----------------------------------------------------------------------------
%changelog
